package io.renren.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 商户信息对象 consume_tenant
 *
 * @author nichun
 * @date 2023-09-15
 */
public class ConsumeTenant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 商户名称 */
    private String name;

    /** 商户类型 */
    private String type;

    /** 客户的appid */
    private String zfbAppId;

    /** 服务商PID */
    private String zfbSysServiceProviderId;

    /** 私有密钥 */
    private String zfbRsaPrivateKey;

    /** 是否停用 */
    private String zfbStop;

    /** 是否测试模式 */
    private String zfbMode;

    /** 公众号appid */
    private String wxAppid;

    /** 服务商商户号 */
    private String wxMchId;

    /** 特约商户号 */
    private String wxSubMchId;

    /** 支付key */
    private String wxKey;

    /** 是否停用 */
    private String wxStop;

    /** 是否测试模式 */
    private String wxMode;

    /** 平台参数ID */
    private String paramId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setZfbAppId(String zfbAppId)
    {
        this.zfbAppId = zfbAppId;
    }

    public String getZfbAppId()
    {
        return zfbAppId;
    }
    public void setZfbSysServiceProviderId(String zfbSysServiceProviderId)
    {
        this.zfbSysServiceProviderId = zfbSysServiceProviderId;
    }

    public String getZfbSysServiceProviderId()
    {
        return zfbSysServiceProviderId;
    }
    public void setZfbRsaPrivateKey(String zfbRsaPrivateKey)
    {
        this.zfbRsaPrivateKey = zfbRsaPrivateKey;
    }

    public String getZfbRsaPrivateKey()
    {
        return zfbRsaPrivateKey;
    }
    public void setZfbStop(String zfbStop)
    {
        this.zfbStop = zfbStop;
    }

    public String getZfbStop()
    {
        return zfbStop;
    }
    public void setZfbMode(String zfbMode)
    {
        this.zfbMode = zfbMode;
    }

    public String getZfbMode()
    {
        return zfbMode;
    }
    public void setWxAppid(String wxAppid)
    {
        this.wxAppid = wxAppid;
    }

    public String getWxAppid()
    {
        return wxAppid;
    }
    public void setWxMchId(String wxMchId)
    {
        this.wxMchId = wxMchId;
    }

    public String getWxMchId()
    {
        return wxMchId;
    }
    public void setWxSubMchId(String wxSubMchId)
    {
        this.wxSubMchId = wxSubMchId;
    }

    public String getWxSubMchId()
    {
        return wxSubMchId;
    }
    public void setWxKey(String wxKey)
    {
        this.wxKey = wxKey;
    }

    public String getWxKey()
    {
        return wxKey;
    }
    public void setWxStop(String wxStop)
    {
        this.wxStop = wxStop;
    }

    public String getWxStop()
    {
        return wxStop;
    }
    public void setWxMode(String wxMode)
    {
        this.wxMode = wxMode;
    }

    public String getWxMode()
    {
        return wxMode;
    }
    public void setParamId(String paramId)
    {
        this.paramId = paramId;
    }

    public String getParamId()
    {
        return paramId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("type", getType())
            .append("zfbAppId", getZfbAppId())
            .append("zfbSysServiceProviderId", getZfbSysServiceProviderId())
            .append("zfbRsaPrivateKey", getZfbRsaPrivateKey())
            .append("zfbStop", getZfbStop())
            .append("zfbMode", getZfbMode())
            .append("wxAppid", getWxAppid())
            .append("wxMchId", getWxMchId())
            .append("wxSubMchId", getWxSubMchId())
            .append("wxKey", getWxKey())
            .append("wxStop", getWxStop())
            .append("wxMode", getWxMode())
            .append("paramId", getParamId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
